<html>
<head>
    <link href="./styles/index.css" rel="stylesheet" />
    <title>Lab 2</title>
</head>
<body>
<main>
    <canvas id="main-canvas" width="800" height="600"></canvas>
    <div id="menu">
        <button id="show-menu-button">&rarr;</button>
        <div class="menu-content">
            <div id="tools">
                <h3>Объекты</h3>
                <label id="add-entity-label" for="entity-select">Добавить</label>
                <select id="entity-select">
                    <option>Sphere</option>
                    <option>Light</option>
                </select>
            </div>
            <div>
                <h3>Проекция</h3>
                <form name="projectionForm">
                    <div>
                        <input type="radio" name="projection" value="perspective">
                        <label>Перспективная</label>
                    </div>
                    <div>
                        <input type="radio" name="projection" value="ortho">
                        <label>Ортогональная</label>
                    </div>
                </form>
            </div>
            <div>
                <h3>Затенение</h3>
                <form name="lightForm">
                    <div>
                        <input type="radio" name="light" value="guro">
                        <label>Гуро</label>
                    </div>
                    <div>
                        <input type="radio" name="light" value="fong">
                        <label>Фонг</label>
                    </div>
                </form>
            </div>
        </div>
    </div>
</main>
<script type ="module" src="./main.js"></script>
</body>
<script src="https://webglfundamentals.org/webgl/resources/webgl-utils.js"></script>
<script src='https://git.io/glm-js.min.js'></script>
</html>
